Selling
For authentication instructions, see API overview.
Endpoints
List all selling opportunities
Returns a list of selling opportunities. The selling opportunities are returned in sorted order, with the most recent appearing first.
Query parameters
limitintegerThe number of records to return
pageintegerThe page number
orderstringThe order of the records
sortBystringThe sort of the records
fieldsstringThe filter of the records
pstringpolicyFilters
qstringsearch query
Request
export ICLOUDREADY_API_KEY=[your api key]curl \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/selling_opportunitiesResponse
No response schemaCreate selling opportunities
Create selling opportunities. You need to pass through any required fields, and you can optionally pass through other fields.
Request body
ownerstringassigneestringopportunityDescriptionstringtaskIdstringcurrentStagestringforecastCategorystringstatusstringunitsarraynotesarraydocumentsarrayopportunityTypestringopportunitySourcestringopportunityRatingnumber
Request
export ICLOUDREADY_API_KEY=[your api key]curl -X POST -H 'Content-Type: application/json' \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/selling_opportunities \ -d 'owner="64620af474e3cd5d51113a50"' \ -d 'assignee="63ea49062953ae07682c83f3"' \ -d 'opportunityDescription="Interested in purchasing a new property"' \ -d 'taskId="6391eec6049e9c361e5801fe"' \ -d 'currentStage="stage1"' \ -d 'forecastCategory="category1"' \ -d 'status="active"' \ -d 'units="array"' \ -d 'notes="array"' \ -d 'documents="array"' \ -d 'opportunityType="new"' \ -d 'opportunitySource="website"' \ -d 'opportunityRating=4'Response
No response schemaRetrieve selling opportunities
Returns a single selling opportunitie, which you can request by passing through an id in the url.
Path parameters
idstringID of the selling opportunity
Request
export ICLOUDREADY_API_KEY=[your api key]curl \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/selling_opportunities/:idResponse
No response schemaUpdate selling opportunities
Path parameters
idstringID of the selling opportunity
Request body
ownerstringassigneestringopportunityDescriptionstringtaskIdstringcurrentStagestringforecastCategorystringstatusstringunitsarraynotesarraydocumentsarrayopportunityTypestringopportunitySourcestringopportunityRatingnumber
Request
export ICLOUDREADY_API_KEY=[your api key]curl -X PUT \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/selling_opportunities/:id \ -d 'owner="64620af474e3cd5d51113a50"' \ -d 'assignee="63ea49062953ae07682c83f3"' \ -d 'opportunityDescription="Interested in purchasing a new property"' \ -d 'taskId="6391eec6049e9c361e5801fe"' \ -d 'currentStage="stage1"' \ -d 'forecastCategory="category1"' \ -d 'status="active"' \ -d 'units="array"' \ -d 'notes="array"' \ -d 'documents="array"' \ -d 'opportunityType="new"' \ -d 'opportunitySource="website"' \ -d 'opportunityRating=4'Response
No response schemaUpdate selling opportunities soft
Update selling opportunities soft by setting the values of the parameters passed. Any parameters not set will be unchanged.
Path parameters
idstringID of the selling opportunity
Request
export ICLOUDREADY_API_KEY=[your api key]curl \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/selling_opportunities/:idResponse
No response schemaDelete selling opportunities
Path parameters
idstringID of the selling opportunity
Request
export ICLOUDREADY_API_KEY=[your api key]curl -X DELETE \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/selling_opportunities/deleted/:id